Subject: Re: bug#57807: 29.0.50; Make vc-print-branch-log able to log multiple branches

From: Sean Whitton <[email-masked]>
Date: Thu, 15 Sep 2022 15:29:20 -0700

Hello,

On Thu 15 Sep 2022 at 07:48PM +03, Eli Zaretskii wrote:

>> From: Sean Whitton <[email-masked]>
>> Date: Thu, 15 Sep 2022 09:18:13 -0700
>>
>> Hello,
>>
>> On Thu 15 Sep 2022 at 08:33AM +03, Eli Zaretskii wrote:
>>
>> > So the difference is that what you want to see is all the branches up
>> > to their HEAD, and not just branches merged into the current branch,
>> > is that right?
>> >
>> > If so, I guess some optional feature of "C-x v L" could do that.
>> > However, if the repository has many branches (and ours, for example,
>> > does), wouldn't that make for a crowded and hard-t-read log buffer?
>> > Perhaps asking the user for a name of one branch will be enough?  More
>> > than one branch could be problematic on display, I think.
>> 
>> Not all branches, as indeed that would quickly become unreadable.  The
>> user has to say exactly which branches they would like to be included.
>> And usually you wouldn't type more than two or three.
>
> I think 3 is already too much for the largely unidimensional display
> we (and Git) provide.

Fair enough, but I find it useful and Magit having this feature suggests
others do too.

-- 
Sean Whitton